globals [v u x y CommMomental CommMomentalSerie OneTimeActors CAQtty Cumulative Cumulative4Mean CommHistory CommHistory4Mean
         EarnedValueGap EarnedValueGap4Mean D_list Z_list
         Cum1 Cum2 Hst1 Hst2]
;; service variables are  v u x y

breed [Xboys xboy]
breed [Yboys yboy]
breed [CommActs CommAct]

Xboys-own
[
 skill  ;; communication skill ;; always positive
]
Yboys-own
[
 skill  ;; communication skill ;; always positive
]
CommActs-own [value  CommRadius birthdate]

to setup
  clear-all
  ask patches   [ set pcolor 7]
  create-ordered-Xboys quantity
    [
    set size turt_size set shape "person" set color red
    set skill max list 1 (random-normal XSkillsMean (XSkillsMean / 3))       ;; always positive
    setxy random-xcor random-ycor ;; set label who
    ]
  create-ordered-Yboys quantity
    [
    set size turt_size set shape "person" set color blue
    set skill max list 1 (random-normal YSkillsMean (YSkillsMean / 3))       ;; always positive
    setxy random-xcor random-ycor
    ]
  set Cumulative 0 set OneTimeActors 0 set CAQtty 0 set Cumulative4Mean 0 set CommHistory [] set CommMomentalSerie []
  set EarnedValueGap4Mean 0
  SetDistributionTable
  show  "---------------- setup done ------------------"
  reset-ticks
end
;-------------------------------------------------------------------------------------
to go
  ask Xboys [lt random Stoch_Motion_Speed fd random 2 * Stoch_Motion_Speed] ;;; move it stochasticaly!!!
  ask Yboys [lt random Stoch_Motion_Speed fd random 2 * Stoch_Motion_Speed] ;;; move it stochasticaly!!!

  ifelse (CommHistory4Mean > 0) [set v 1] [set v 0]   ;; positive communication outcome leads to growth productiviry, negative has no effect
  set EarnedValueGap precision (random-normal (ProductPosFeedback * v) 6) 2
  ;; ProductionFeedback (always positive) multuply influence of current CommHistory4Mean value on the value of EarnedValueGap
  set EarnedValueGap4Mean EarnedValueGap4Mean + EarnedValueGap
  create-ordered-CommActs CommPerTick ;; generate CommPerTick Communication Acts
    [
    set color green set shape "flag" set size turt_size + 2
    setxy random-xcor random-ycor
    set value 0
    set v 0 set u 0
    set CommRadius random MaxCommRadius
    set x count Xboys in-radius CommRadius
    set y count Yboys in-radius CommRadius

    if x > 0 and y > 0
      [
                write  "X "  write x write "Y " show y              ;; {OBSERVER}
      set v v + sum [skill] of Xboys in-radius CommRadius
      set u u + sum [skill] of Yboys in-radius CommRadius
                write "v " write v write "u " show u                ;; {OBSERVER}
        set v precision (v / (v + u)) 5             ;; Xboys needed outcom's probability   v / (v + u)
                write "p " show v                                   ;; {OBSERVER}
      ;; Xboys skill / (Xboys skill + YXboys skill) defines outcom's probability needed for Xboys

      GetQuantile

      set v .4 ;; now correct it in according with signs EarnedValueGap and Cumulative
      ifelse (EarnedValueGap * Cumulative > 0)   ;; both values > 0 or both < 0
        [set v v / VarCorrector]
        [set v v * VarCorrector]
      ;; CORRECTION DONE!!!!!!!!!!!!!!

      ;; EarnedValueGap is Mean of CommAct.value
                  write "v " write v write "u " show u                        ;; {OBSERVER}
      set value u * v + EarnedValueGap     ;; now value is the random value with N-distribution (EarnedValueGap, v)
      ;; value is momental communication complexity
                  write "EV " write EarnedValueGap write "Value " show value  ;; {OBSERVER}

      set CommMomental value ;;  for plot
      set CommMomentalSerie lput (precision value 2) CommMomentalSerie ;; show CommMomentalSerie {OBSERVER}

      set Cumulative Cumulative + value   ;; Cumulative is cumulative communication complexity
      set OneTimeActors OneTimeActors + x  + y
      set CAQtty CAQtty + 1
      set Cumulative4Mean Cumulative4Mean + Cumulative

      let i length CommHistory
      if MemorySize > 0
      [
       ifelse i < MemorySize
        [set CommHistory lput value CommHistory]
        [set CommHistory remove-item 0 CommHistory set CommHistory lput value CommHistory]
       set CommHistory4Mean CommHistory4Mean + sum CommHistory
       ;; write sum CommHistory show CommHistory             ;; {OBSERVER}
      ]
      ]
    set birthdate ticks
    ]

  ask CommActs [if (ticks - birthdate > 3) [die]]  ;; old Acts are visible per 3 ticks
  tick
;;  if ticks = 300 [set Cum1 Cumulative4Mean / ticks set Hst1 CommHistory4Mean / ticks write Cum1 show Hst1]
;;  if ticks = 500 [set Cum2 Cumulative4Mean / ticks set Hst2 CommHistory4Mean / ticks write Cum2 show Hst2]

  if (ticks > 3000) [stop]
end
;-----------------------------------------------
to SetDistributionTable
  set  Z_list [0.0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1 1.2 1.3 1.4 1.5 1.6 1.7 1.8 1.9 2.0 2.1 2.2 2.3 2.4 2.5 2.6 2.7 2.8 2.9 3 3.01]
  show Z_list show length Z_list
  set  D_list [0.0 0.0398 0.0793 0.1179 0.1554 0.1915 0.2257 0.258 0.2881 0.3159 0.3413 0.3643 0.3849 0.4032 0.4192 0.4332 0.4452 0.4554 0.4641 0.4713 0.4772 0.4821 0.4861 0.4893 0.4918 0.4938 0.4953 0.4965 0.4974 0.4981 0.4987 0.4990]
  show D_list show length D_list
end
to GetQuantile
ifelse (v > 0.5)
        [
             set v v - 0.5
             let i length D_list
             let j 0
             while [j < i]
             [
              if v > item j D_list [set u item j Z_list]  ;; now u is the Z-distribution v-probability quantil
              set j j + 1
             ]
             set u u + 0.5   ;; now u has Z-distribution
        ]  ;; (v > 0.5)

        [
             set v 0.5 - v
             let i length D_list
             let j 0
             while [j < i]
             [
              if v > item j D_list [set u item j Z_list]  ;; now u is the Z-distribution v-probability quantil
              set j j + 1
             ]
             set u -1 * u   ;; now u has Z-distribution

        ]  ;; ifelse (v > 0.5)
end
@#$#@#$#@
GRAPHICS-WINDOW
260
10
761
512
-1
-1
4.8812
1
12
1
1
1
0
1
1
1
-50
50
-50
50
1
1
1
ticks
4.0

BUTTON
20
10
88
43
setup
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
170
10
238
43
go
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
88
10
169
43
go once
go
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
133
47
225
80
Quantity
Quantity
1
100
30.0
1
1
NIL
HORIZONTAL

SLIDER
40
47
132
80
turt_size
turt_size
1
5
2.0
1
1
NIL
HORIZONTAL

PLOT
772
113
1127
233
Cumulative
NIL
NIL
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot Cumulative"
"pen-1" 1.0 0 -7500403 true "" "plot 0"

SLIDER
-1
120
131
153
MaxCommRadius
MaxCommRadius
1
50
14.0
1
1
NIL
HORIZONTAL

SLIDER
57
83
208
116
Stoch_Motion_Speed
Stoch_Motion_Speed
0
5
3.0
1
1
NIL
HORIZONTAL

PLOT
48
395
238
515
YboysHistogram
NIL
NIL
0.0
50.0
0.0
10.0
true
false
"set-plot-x-range 0 50\nset-histogram-num-bars 19" ""
PENS
"pen-0" 1.0 1 -13345367 true "" "histogram [skill] of Yboys"

PLOT
48
275
238
395
XboysHistogram
Skill
NIL
0.0
50.0
0.0
20.0
true
false
"set-plot-x-range 0 50\nset-histogram-num-bars 19" ""
PENS
"default" 1.0 1 -16777216 true "" "histogram [skill] of Xboys"

SLIDER
135
120
244
153
CommPerTick
CommPerTick
0
10
3.0
1
1
NIL
HORIZONTAL

PLOT
771
495
1126
615
EarnedValueGap
NIL
NIL
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot EarnedValueGap"
"pen-1" 1.0 0 -7500403 true "" "plot 0"

SLIDER
25
157
130
190
XSkillsMean
XSkillsMean
0
96
12.0
1
1
NIL
HORIZONTAL

SLIDER
135
157
239
190
YSkillsMean
YSkillsMean
0
96
24.0
1
1
NIL
HORIZONTAL

MONITOR
750
10
846
55
NIL
OneTimeActors / CAQtty
1
1
11

MONITOR
851
10
953
55
NIL
sum [skill] of Xboys
1
1
11

MONITOR
956
10
1062
55
NIL
sum [skill] of Yboys
1
1
11

MONITOR
788
58
920
103
NIL
Cumulative4Mean / Ticks
2
1
11

SLIDER
17
193
129
226
VarCorrector
VarCorrector
1
5
1.0
1
1
NIL
HORIZONTAL

PLOT
771
374
1125
494
CommMomentalValue
NIL
NIL
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot CommMomental"
"pen-1" 1.0 0 -7500403 true "" "plot 0"

SLIDER
134
193
253
226
MemorySize
MemorySize
0
1000
100.0
10
1
NIL
HORIZONTAL

PLOT
772
234
1127
354
CommHistory
NIL
NIL
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot sum CommHistory"
"pen-1" 1.0 0 -7500403 true "" "plot 0"

MONITOR
931
58
1092
103
NIL
CommHistory4Mean / Ticks
2
1
11

SLIDER
57
229
219
262
ProductPosFeedback
ProductPosFeedback
0
5
0.5
0.5
1
NIL
HORIZONTAL

MONITOR
1065
10
1122
55
NIL
CAQtty
0
1
11

PLOT
1144
58
1361
183
CommMomentalValuesDistribution
NIL
NIL
0.0
10.0
0.0
10.0
true
false
"set-plot-x-range -20 20\nset-histogram-num-bars 19" ""
PENS
"default" 1.0 1 -16777216 true "" "histogram CommMomentalSerie"

MONITOR
1168
10
1325
55
NIL
Mean CommMomentalSerie
2
1
11

MONITOR
1176
186
1335
231
NIL
EarnedValueGap4Mean / Ticks
2
1
11

@#$#@#$#@
## WHAT IS IT?

This is a simulation model of communication between two groups of managers in the course of project implementation. The world of the model is a space of interaction between project participants, each of which belongs either to a group of work performers or to a group of customers. Information about the progress of the project is publicly available and represents the deviation Earned value from the planned project value (cost baseline).



## HOW IT WORKS

The key elements of the model are 1) persons belonging to a group of customers or performers, 2) agents that are communication acts. The life cycle of persons is equal to the time of the simulation experiment, the life cycle of the communication act is 3 periods of model time (for the convenience of visualizing behavior during the experiment). The communication act occurs at a specific point in the model space, the coordinates of which are realized as random variables. During the experiment, persons randomly move in the model space. The communication act involves persons belonging to a group of customers and a group of performers, remote from the place of the communication act at a distance not exceeding the value of the communication radius (MaxCommRadius), while at least one representative from each of the groups must participate in the communication act. If none are found, the communication act is not carried out. The number of potential communication acts per unit of model time is a parameter of the model (CommPerTick).

Persons have a communication skill, the value of which is a normally distributed random variable with a given mean value (in the model, the skill values are adjusted so that the agent skill values are always at least zero). The average values of skills are model parameters, the values of which are set separately for groups of customers and performers (XSkillsMean, YSkillsMean). 

The outcome of the communication act is a numerical value, the positive value of which corresponds to the positive result of communication (from the point of view of the group of performers), negative - to the negative. This simulates the instantaneous value of the communication complexity (CommMomentalValue) during the project. Based on the sequence of values of instant communication complexity, the value of the accumulated communication complexity of the project is formed. The model implements two variants of the accumulated communication complexity: the total sum of the values for the entire time of the simulation experiment (cumulative) and the moving average (CommHistory). The latter corresponds to the (more realistic) case of the final memory of the project participants, in which the results of past outcomes of communication acts are forgotten and the characteristic of communication with the counterparty becomes the "general communication background" - the value of communication complexity accumulated over a certain period of time.

The outcome of a communication act is determined by a number of factors. The first is the ratio of the total values of communication skills (skill) of the participants in the communication act on the part of the customer (variable u) and on the part of the performer (variable v). The value of the expression v / (v + u) specifies the probability of a normally distributed random variable N (EV, σ), the quantile of the level p (p = v / (v + u)) of which is the value of the result of this communication act. The second factor is the EV value of the normal distribution N (EV, σ). The EV is the deviation from the cost baseline of the earned value. The quantity is implemented in the model as a random variable with a normal distribution N (0 + FB, a), where a is a positive constant, FB (ProductPosFeedback) is a parameter that sets the amount of feedback between the accumulated communication complexity and the productivity of performers. A positive value of the accumulated communication complexity (the model implements the dependence on the history indicator) leads to a shift in the average value of EV by FB.

The managerial sense of the feedback is the stimulating effect of the positive value of the accumulated communication complexity (positive background of the project implementation) on the productivity of the performers. Provided there is favorable communication ("trust", "mutual understanding") between the customer and the contractor, it is more likely that project operations will be performed with less lag behind the plan or ahead of it.

The numerical values of the communicative complexity of the project (which are the output of the modeling process) represent the assessment of the communicative complexity by a group of performers. The assessment of the communicative complexity of the project by the customer's group may, in general, differ from the assessment of the performers, but in the considered version of the model, communication is considered from the point of view of the performer. The value of the total communicative skill of a group of performers determines their ability, for any (including negative) deviation of the EV of the value of the earned value from the planned value, to obtain the most favorable (numerically greater) result of a separate communicative act. In turn, the skill of a group of customers increases the likelihood of the outcome of an individual communicative act in the form of a negative (numerically smaller, including negative) value. Thus, the communicative skill of customers means the degree of aggressiveness of the customer, the tendency to put pressure on the group of performers, the indicator of the desire to dominate - in any course of work, incl. with positive values of the deviation EV (ahead of the work plan).


## HOW TO USE IT

The control elements of the model allow seven independent values to be varied, which, even with a minimum number of varied values (three: minimum, maximum, optimum), gives 3^7 = 2187 different variants of initial conditions. In this case, the statistical processing of the results requires repeated calculation of the model indicators for each grid node. Thus, the set of varied parameters and the range of their variation is determined by the logic of a particular study and represents a significant narrowing of the full set of initial conditions for which the model allows simulation experiments.

In particular, the developed model makes it possible to conduct a simulation experiment to determine the quantitative measure of the relationship between the value of FB (feedback) and the ratio of the general average values of the communication skills of the customer's and the executor's groups.

This is a very simple (less than 100 lines of code) model, which is educational in nature and is designed for various simulation experiments. Experiment patterns are stored in the behavior space of the model.

For convenience, a parser .XLS-file is included in the model documentation. By copying the data from the output file generated by NetLogo to the sheet of this file, you can get the results of the experiment in the cells of the worksheet in the form of numbers.


Reports: 
XboysHistogram, YboysHistogram (for person's skills, plot)
CommMomentalValuesDistribution (for distribution momental outcome of communication act, histogram)
Cumulative (for all the time moving average of communication acts outcome, plot)
CommHistory (for CommHistory ticks moving average of communication acts outcome, plot)
CommMomentalValue (for momental outcome of communication act, plot)
EarnedValueGap (for Earned Value gap from zero deviation planned value, plot)


## THINGS TO NOTICE

The behavior of agents in the world of the model (change of coordinates, visualization of agents' belonging to a specific communicative act at a given time, etc.) is not informative. 

Content data are obtained in the form of time series of accumulated communicative complexity, the deviation of the earned value from the planned value, average indicators characterizing communication - the total number of communicative acts and the average number of their participants, etc. These data are displayed on graphs during the simulation experiment.


## THINGS TO TRY

Try varying the MemorySize to examine the behavior of the moving average (CommHistory).

## EXTENDING THE MODEL

The code of the model is elementary simple and any factors influencing the result of communication, which the researcher considers necessary to add, can be implemented without any difficulties.

## NETLOGO FEATURES

The world topology is a "torus", breeds were used for implementing agents.


## CREDITS AND REFERENCES

I.A. Smarzhevsky, Structural model of interaction between two groups of managers in the course of project implementation // National interests: priorities and security. 2013. No. 5 (194). S. 9-15.
https://www.fin-izdat.ru/journal/national/detail.php?ID=55088

## HOW TO CITE

If you mention this model or the NetLogo software in a publication, we ask that you include the citations below.

For the model itself:


Please cite the NetLogo software as:

* Wilensky, U. (1999). NetLogo. http://ccl.northwestern.edu/netlogo/. Center for Connected Learning and Computer-Based Modeling, Northwestern University, Evanston, IL.

## COPYRIGHT AND LICENSE

Copyright Ivan Smarzhevskiy 2020

<!-- 2019 -->
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

gun1
true
0
Rectangle -7500403 true true 90 120 195 120
Rectangle -7500403 true true 90 120 210 120
Rectangle -7500403 true true 75 90 210 105
Rectangle -7500403 true true 75 105 240 120
Rectangle -7500403 true true 75 135 210 135
Rectangle -7500403 true true 75 120 210 135
Rectangle -7500403 true true 120 135 120 210
Rectangle -7500403 true true 135 135 135 240
Rectangle -7500403 true true 120 150 120 240
Rectangle -7500403 true true 105 150 135 225
Rectangle -7500403 true true 105 150 135 195
Rectangle -7500403 true true 105 150 135 180
Rectangle -7500403 true true 105 150 135 180
Rectangle -7500403 true true 150 150 165 180
Rectangle -7500403 true true 60 105 75 150
Rectangle -7500403 true true 90 75 105 90

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270
@#$#@#$#@
NetLogo 6.0.2
@#$#@#$#@
setup
repeat 20 [ go ]
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="experiment8 500 rounds ProdFeedback vs Yboys skills. Around 0.95 FeedBack" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>precision (mean [skill] of Xboys) 2</metric>
    <metric>precision (mean [skill] of Yboys) 2</metric>
    <metric>precision (EarnedValueGap4Mean / Ticks) 2</metric>
    <metric>precision (Cumulative4Mean / Ticks) 2</metric>
    <metric>precision (CommHistory4Mean / Ticks) 2</metric>
    <metric>CAQtty</metric>
    <enumeratedValueSet variable="ProductPosFeedback">
      <value value="0.9"/>
      <value value="0.92"/>
      <value value="0.94"/>
      <value value="0.96"/>
      <value value="0.98"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment8 500 rounds ProdFeedback = 0 skill are 1X to 4 Yl" repetitions="500" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>precision (mean [skill] of Xboys) 2</metric>
    <metric>precision (mean [skill] of Yboys) 2</metric>
    <metric>precision (EarnedValueGap4Mean / Ticks) 2</metric>
    <metric>precision (Cumulative4Mean / Ticks) 2</metric>
    <metric>precision (CommHistory4Mean / Ticks) 2</metric>
    <metric>precision CAQtty 1</metric>
    <enumeratedValueSet variable="ProductPosFeedback">
      <value value="2"/>
      <value value="4"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment 11 500 rounds ProdFeedback = 0 to 0.625 skill 24vs48" repetitions="500" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>precision (mean [skill] of Xboys) 2</metric>
    <metric>precision (mean [skill] of Yboys) 2</metric>
    <metric>precision (EarnedValueGap4Mean / Ticks) 2</metric>
    <metric>precision (Cumulative4Mean / Ticks) 2</metric>
    <metric>precision (CommHistory4Mean / Ticks) 2</metric>
    <metric>precision CAQtty 1</metric>
    <enumeratedValueSet variable="ProductPosFeedback">
      <value value="0"/>
      <value value="0.125"/>
      <value value="0.25"/>
      <value value="0.375"/>
      <value value="0.5"/>
      <value value="0.625"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="exp9  Q=30 CommPerT=3 R=14 ProdFeedback = 0 skill are equal" repetitions="500" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>precision (sum [skill] of Xboys) 2</metric>
    <metric>precision (sum [skill] of Yboys) 2</metric>
    <metric>precision (Mean CommMomentalSerie) 2</metric>
    <metric>precision (EarnedValueGap4Mean / Ticks) 2</metric>
    <metric>precision (Cumulative4Mean / Ticks) 2</metric>
    <metric>precision (CommHistory4Mean / Ticks) 2</metric>
    <enumeratedValueSet variable="ProductPosFeedback">
      <value value="0"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment 10 1000 rounds ProdFeedback = 0 skill are equa Cum and Hst 300 and 500 valuesl" repetitions="1000" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>precision Cum1 2</metric>
    <metric>precision Hst1 2</metric>
    <metric>precision Cum2 2</metric>
    <metric>precision Hst2 2</metric>
    <metric>precision (Cumulative4Mean / Ticks) 2</metric>
    <metric>precision (CommHistory4Mean / Ticks) 2</metric>
    <enumeratedValueSet variable="ProductPosFeedback">
      <value value="0"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="exp  ValueVar 0to5 Q=30 CommPerT=3 R=14 ProdFeedback = 0 skill are equal" repetitions="100" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>precision (ValueVar) 2</metric>
    <metric>precision (Mean CommMomentalSerie) 2</metric>
    <metric>precision (EarnedValueGap4Mean / Ticks) 2</metric>
    <metric>precision (Cumulative4Mean / Ticks) 2</metric>
    <metric>precision (CommHistory4Mean / Ticks) 2</metric>
    <enumeratedValueSet variable="ValueVar">
      <value value="0"/>
      <value value="0.2"/>
      <value value="0.4"/>
      <value value="0.6"/>
      <value value="0.8"/>
      <value value="2"/>
      <value value="5"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="exp  skill are 24 24" repetitions="1000" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>precision (mean [skill] of Xboys) 2</metric>
    <metric>precision (mean [skill] of Yboys) 2</metric>
    <metric>precision (Mean CommMomentalSerie) 2</metric>
    <metric>precision (EarnedValueGap4Mean / Ticks) 2</metric>
    <metric>precision (Cumulative4Mean / Ticks) 2</metric>
    <metric>precision (CommHistory4Mean / Ticks) 2</metric>
    <enumeratedValueSet variable="MemorySize">
      <value value="300"/>
      <value value="100"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="exp  X Y 6 48 around 1" repetitions="200" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>precision (mean [skill] of Xboys) 2</metric>
    <metric>precision (mean [skill] of Yboys) 2</metric>
    <metric>precision (Mean CommMomentalSerie) 2</metric>
    <metric>precision (EarnedValueGap4Mean / Ticks) 2</metric>
    <metric>precision (Cumulative4Mean / Ticks) 2</metric>
    <metric>precision (CommHistory4Mean / Ticks) 2</metric>
    <enumeratedValueSet variable="ProductPosFeedback">
      <value value="0.96"/>
      <value value="0.98"/>
      <value value="1"/>
      <value value="1.2"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="exp  222 X 96 Y 96" repetitions="500" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>precision (mean [skill] of Xboys) 2</metric>
    <metric>precision (mean [skill] of Yboys) 2</metric>
    <metric>precision (Mean CommMomentalSerie) 2</metric>
    <metric>precision (EarnedValueGap4Mean / Ticks) 2</metric>
    <metric>precision (Cumulative4Mean / Ticks) 2</metric>
    <metric>precision (CommHistory4Mean / Ticks) 2</metric>
    <enumeratedValueSet variable="ProductPosFeedback">
      <value value="0"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="k FB net" repetitions="500" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>precision (mean [skill] of Xboys) 2</metric>
    <metric>precision (mean [skill] of Yboys) 2</metric>
    <metric>precision (Cumulative4Mean / Ticks) 2</metric>
    <metric>precision (CommHistory4Mean / Ticks) 2</metric>
    <enumeratedValueSet variable="YSkillsMean">
      <value value="12"/>
    </enumeratedValueSet>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180
@#$#@#$#@
0
@#$#@#$#@
